/****************************************************************************************

		IMFSolidColorPart.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Greg 
		Date:	9/4/98

		COM interface to internal SolidColorPart objects.
 
		Revision History

		when		who			what & why
		==========	==========	======================================================
		2/23/99		Greg		fill attributes changes

*****************************************************************************************/

#ifndef __IMFSOLIDCOLORPART__
#define __IMFSOLIDCOLORPART__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCCompObj.h"

class TMFFillAttributes;

//*********************** Globally Unique Ids ********************************

// {4A42DE98-D24E-489e-9FAE-7AD3F70AFE55}
MCDEFINE_GUID(IID_IMFSolidColorPart, 0x4a42de98, 0xd24e, 0x489e, 0x9f, 0xae, 0x7a, 0xd3, 0xf7, 0xa, 0xfe, 0x55);

//****************************************************************************



/******************************************************************************\
*                                                                              *
*           IMFSolidColorPart                                                  *
*                                                                              *
\******************************************************************************/
/// \addtogroup MCF
/// \{

/// Interface for a Solid Color Part, which is simply an area filled in according to
/// a TMFFillAttributes, with a specified transparency.  
struct IMFSolidColorPart : public IMCUnknown
{
	virtual void MCCOMAPI SetFill			(const TMFFillAttributes& inFill) = 0;
	virtual void MCCOMAPI SetTransparency	(real32 inTransparency) = 0;
};

/// \}
#endif